## clif 0.93

=== example/Makefile ===
CFLAGS=-g -O0

all : lin_main lin_server

lin_read : lin_main.o lin_clnt.o lin_xdr.o
	cc lin_main.o lin_clnt.o lin_xdr.o -Lwork/rpc -lrpclib -o lin_read

lin_write : lin_write.o lin_clnt.o lin_xdr.o
	cc lin_write.o lin_clnt.o lin_xdr.o -Lwork/rpc -lrpclib -o lin_write

lin_main : lin_main.o lin_clnt.o lin_xdr.o
	cc lin_main.o lin_clnt.o lin_xdr.o -o lin_main

lin_server : lin_proc.o lin_svc.o lin_xdr.o
	cc  lin_proc.o lin_svc.o lin_xdr.o -o lin_server

lin_svc.c lin_xdr.c lin_clnt.c lin.h : lin.x
	rpcgen lin.x

lin_write.o : lin_write.c lin.h

lin_main.o : lin_main.c lin.h

lin_clnt.o : lin_clnt.c lin.h

lin_xdr.o : lin_xdr.c lin.h

lin_proc.o : lin_proc.c lin.h

lin_svc.o : lin_svc.c lin.h

clean:
	rm -f *.o lin_svc.c lin_clnt.c lin_xdr.c lin.h

=== debian/changelog ===
clif (0.93-10) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #1011565)
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format. Consequently:
          ~ debian/clean: created to remove some files created from build
            process.
          ~ debian/docs: created to install files that were installed via
            debian/rules.
          ~ debian/examples: created to install files that were installed via
            debian/rules.
          ~ debian/install: created to install files that were installed via
            debian/rules.
          ~ debian/manpages: created to install files that were installed via
            debian/rules.
          ~ debian/source/options: created to ignore changes in some files.
  * Ran wrap-and-sort.
  * debian/buildnotes: renamed to README.source.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.1.
      - Re-organized the long description.
  * debian/patches/:
      - Added headers for patches 100 and 200.
      - 300_add-GCC-hardening.diff: created to add GCC hardening.
      - 400_fix-manpage.diff: created to remove an acute accent from manpage.
      - 500_fix-spelling.diff: created to fix a spelling error in final binary.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide a superficial CI test.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 29 Jul 2022 21:20:51 -0300

clif (0.93-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
        '-k' option is not supported since compat 12.
      - Closes: #965462
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999095)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 21:29:06 -0300

clif (0.93-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Build-depends against libelf-dev instead of libelfg0-dev,
    the later doesn't seem to be maintained anymore (Closes: #769424)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Nov 2015 11:21:13 +0100

clif (0.93-9) unstable; urgency=low

  * Switch package format to 3.0 (quilt).
  * Use quilt for patch management.
  * Use debhelper for build management. This causes DEB_BUILD_OPTIONS=nostrip
    to be honoured (Closes: #436630).
  * debian/control:
    + Build-depend on debhelper.
    + Build-depend on texlive instead of tetex-bin (Closes: #562345).

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 16:29:22 +0100

clif (0.93-8) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.2.1.
  * ls.l tables.h:
    + Fixed various FTBFS errors (Closes: #299667).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 24 Aug 2005 15:51:05 +0200

clif (0.93-7) unstable; urgency=low

  * debian/control:
    + Build-depend on libxt-dev because AC_PATH_X requires it.
  * debian/rules:
    + Reverted --x-includes --x-libraries change.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  4 Aug 2004 22:38:36 +0200

clif (0.93-6) unstable; urgency=low

  * debian/control:
    + Build-depend on libelfg0-dev.
  * debian/rules:
    + Explicitly configure with --x-includes=/usr/X11R6/include
      --x-libraries=/usr/X11R6/lib.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  3 Aug 2004 21:29:34 +0200

clif (0.93-5) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Build-depend on libx11-dev instead of xlibs-dev.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  2 Aug 2004 13:27:19 +0200

clif (0.93-4) unstable; urgency=low

  * New maintainer (Closes: #86241).
  * Set policy to 3.5.10.
  * Removed warning when clif.ini is not found (Closes: #128931).
  * Removed sexist pronouns from README (Closes: #159420).
  * Removed the manpage's links section because the webpage and FTP archive
    no longer exist (Closes: #128930).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 May 2003 13:27:55 +0200

clif (0.93-3) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 14:05:49 +0100

clif (0.93-2) unstable; urgency=low

  * Fixed two calls to va_arg in comp_maint.c (needed for gcc-3.0).
    (closes: #103683)
  * Don't install the INSTALL file.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  6 Jul 2001 09:39:53 +0200

clif (0.93-1) unstable; urgency=low

  * New maintainer. (closes: #83101)
  * New upstream release.
  * Added build dependencies.
  * Standards-Version: 3.1.1

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 14 Feb 2001 19:27:09 +0100

clif (0.92-5) unstable; urgency=low

  * debian/control: Orphaning package.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 27 Nov 2000 21:36:52 +0200

clif (0.92-4) unstable; urgency=low

  * debian/control: Policy 3.0.1.
  * debian/rules: /usr/doc -> /usr/share/doc, /usr/man -> /usr/share/man
  * debian/{prerm,postinst,rules}: Implement the /usr/doc transition.
  * Removed all .orig and .rej files from the source tree.
  * debian/rules: Remove $(rootdir) at start of binary targets.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 18 Sep 1999 20:10:05 +0300

clif (0.92-3) unstable; urgency=low

  * debian/control: New maintainer.
  * debian/control: policy 2.5.1
      + no changes necessary
      + not using policy >= 3, as requested by the Project Leader
  * debian/changelog: added the NMU changelog entry for 0.90.2-3.1,
    as recommended by the DDR.
  * debian/changelog.{orig,rej}: removed.


=== debian/control ===
Source: clif
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libelf-dev,
               libx11-dev,
               libxt-dev,
               texlive
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/clif
Vcs-Git: https://salsa.debian.org/debian/clif.git

Package: clif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C language interpreter
 Clif, a C-like Interpreter Framework, is and open-ended system for
 fast development of programs with C syntax. The program is compiled
 and if syntactically correct, code is immediately generated. The code
 is generated for a virtual machine. The virtual machine is a part of
 the framework.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	cd doc && dvips -o guide_programmers.ps guide_programmers.dvi
	cd doc && dvips -o guide_users.ps guide_users.dvi
	cd doc && dvips -o cimcsp94.ps cimcsp94.dvi

=== debian/tests/control ===
Test-Command: clif -v
Restrictions: allow-stderr, superficial
